Summary: X.Org X11 libXss runtime library
Name: libXScrnSaver
Version: 1.2.4
Release: 3%{?dist}
License: MIT
URL: http://www.x.org
Source0: https://www.x.org/pub/individual/lib/libXScrnSaver-%{version}.tar.gz

BuildRequires: make
BuildRequires: autoconf automake libtool pkgconfig
BuildRequires: xorg-x11-util-macros xorg-x11-proto-devel
BuildRequires: libX11-devel libXext-devel

%description
This package provides X.Org X11 libXss runtime library

%package devel
Summary: X.Org X11 libXScrnSaver development package
Requires: libXScrnSaver = %{version}-%{release}

%description devel
X.Org X11 libXss development package

%prep
%autosetup

%build
autoreconf -fiv
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure --disable-static
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files
%license COPYING
%doc README.md ChangeLog
%{_libdir}/libXss.so.1
%{_libdir}/libXss.so.1.0.0

%files devel
%{_libdir}/pkgconfig/xscrnsaver.pc
%{_libdir}/libXss.so
%{_includedir}/X11/extensions/scrnsaver.h
%{_mandir}/man3/*.3*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.4-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.4-2
- Rebuilt for loongarch release

* Wed Dec 20 2023 Upgrade Robot <upbot@opencloudos.org> - 1.2.4-1
- Upgrade to version 1.2.4

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.3-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Oct 11 2022 Wang Guodong <gordonwwang@tencent.com> - 1.2.3-1
- package init.
